import { ConfigService, PermissionsService, User } from "@ema/core";
import { BaseService } from "@ema/core";
export declare class AppService {
    state: any;
    translation: any;
    user: User;
    base: BaseService;
    baseUrl: string;
    config: ConfigService;
    permissions: PermissionsService;
    loading: boolean;
    collectionManifest: any;
    components: any[];
    data: any;
    authenticated: boolean;
    initialized: boolean;
    errorMessage: string;
    loginForm: HTMLElement;
    constructor(enforcer: any);
    init(): Promise<void>;
    initLoginForm(): void;
    initSketchListeners(): void;
    initHistory(): void;
    parseComponents(): void;
    showFlashMessage(message: string, type: string, duration?: number): void;
    static readonly instance: any;
}
